import { create } from "zustand";

interface Measurement {
  name: string;
  fields: string;
}

interface MeasurementStore {
  measurements: Measurement[];
  interval: number;
  duration: string;
  setMeasurements: (newMeasurements: Measurement[]) => void;
  updateDuration: (newDuration: string) => void;
}

const useChartStore = create<MeasurementStore>((set) => ({
  measurements: [],
  interval: 1000,
  duration: "1h",

  setMeasurements: (newMeasurements) =>
    set(() => ({ measurements: newMeasurements })),

  updateDuration: (newDuration) =>
    set(() => ({ duration: newDuration })),
}));

export default useChartStore;
